import * as $dara from '@darabonba/typescript';
import { CreateImageComponentResponseBody } from "./CreateImageComponentResponseBody";
export declare class CreateImageComponentResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateImageComponentResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
